Bug 765040 - (GLUSTER-3308) rpcinfo shows mount and nfs servers listening on same port
rpcinfo shows mount and nfs servers listening on same port
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Krishna Srinivas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-02 05:53 EDT by Krishna Srinivas
Modified: 2011-09-29 08:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krishna Srinivas 2011-08-02 05:53:07 EDT
rpcinfo shows the mountd and nfs are on same port,


[root@centos-qa-client-3 ~]# rpcinfo -p
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100024    1   udp    659  status
    100024    1   tcp    662  status
    100021    1   udp  48386  nlockmgr
    100021    3   udp  48386  nlockmgr
    100021    4   udp  48386  nlockmgr
    100021    1   tcp  52811  nlockmgr
    100021    3   tcp  52811  nlockmgr
    100021    4   tcp  52811  nlockmgr
    100005    3   tcp  38467  mountd
    100005    1   tcp  38467  mountd
    100003    3   tcp  38467  nfs
[root@centos-qa-client-3 ~]#

Here is the bug:
nfs_init_versions():
....
                if (nfs->override_portnum)
                        prog->progport = nfs->override_portnum;

i.e it blindly overrides prog->progport with nfs' port number.

It works just fine as all services listens on all ports in the current implementation. But still it is a good idea to print correct information in rpcinfo.
Comment 1 Anand Avati 2011-08-17 02:22:57 EDT
CHANGE: http://review.gluster.com/155 (Change-Id: I7dc26b64a177ce5d30352cf7c531f38517c0368a) merged in master by Anand Avati (avati@gluster.com)
Comment 2 Anand Avati 2011-08-20 03:54:48 EDT
CHANGE: http://review.gluster.com/273 (Change-Id: I6c0db600ba2010b0a0272f58b16c4955b4b570f2) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Saurabh 2011-09-29 05:28:19 EDT
[root@Centos1 ufo]# rpcinfo -p
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100024    1   udp    919  status
    100024    1   tcp    922  status
    100021    1   udp  40118  nlockmgr
    100021    3   udp  40118  nlockmgr
    100021    4   udp  40118  nlockmgr
    100021    1   tcp  60640  nlockmgr
    100021    3   tcp  60640  nlockmgr
    100021    4   tcp  60640  nlockmgr
    100005    3   tcp  38465  mountd
    100005    1   tcp  38466  mountd
    100003    3   tcp  38467  nfs

[root@Centos1 ufo]# /export/3.3.0/inst/sbin/glusterfs -V
glusterfs 3.3.0qa12 built on Sep 28 2011 03:24:42
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.

Note You need to log in before you can comment on or make changes to this bug.